Create Token

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Example Payload

{
  "type": "custom"
  "allowed_actions": {                        // Dictionary of queries and actions
    "install_script": ["get"],
    "download": ["get"]
    "device": ["get","put", "delete"],
    "device_data": ["put"],
    "device_commands": ["get", "post"]
  }
  "accounts": ["A0000000000000000000"],
  "devices": ["ID1"]                          // or "*" to access all devices in account
}

Returns a new access token with the permissions specified in the body of the request. The maximum permissions allowed are those of the current token being used.

account	
accounts	
device
device_alerts	
device_commands	
device_data	
device_videos	
devices	
download	
install_script	
pilot		
token	
tokens	
zone		
zones

🚧

Secret Token

The secret is only available when you create a token, so please record it somewhere for future use. You will need to send it into the query as a mc_secret parameter.

Query Params
boolean
Defaults to true

You must add create_secret=true as a URL parameter to create a token with a secret for the next while, allowing the legacy tokens to still work.

Body Params
json
accounts
array of strings
accounts
devices
array of strings
devices
string
Defaults to custom

type of token created (custom, device, user)

Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json